ubuntu/+source/samba:ubuntu/lucid

Last commit made on 2010-04-09
Get this branch:
git clone -b ubuntu/lucid https://git.launchpad.net/ubuntu/+source/samba
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/lucid
Repository:
lp:ubuntu/+source/samba

Recent commits

4275f4e... by Thierry Carrez on 2010-04-09

Import patches-unapplied version 2:3.4.7~dfsg-1ubuntu3 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: 402b5819bbb493206ee1eac4165b098c374f8009

New changelog entries:
  * debian/winbind.pam-config: Fix potential breakage with stacking of
    lower-priority modules in common-passwd (LP: #556996)

402b581... by Thierry Carrez on 2010-04-06

Import patches-unapplied version 2:3.4.7~dfsg-1ubuntu2 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: bec103c3c5bb870f60ccc09efec785c10821e4fe

New changelog entries:
  * debian/winbind.pam-config: Fix password PAM profile for winbind, thanks to
    Steve Langasek for investigation and fix (LP: #546874)
  * debian/winbind.prerm, debian/winbind.postinst: Enable and disable winbind
    PAM profile on package install/removal (LP: #556342)

bec103c... by Chuck Short on 2010-03-19

Import patches-unapplied version 2:3.4.7~dfsg-1ubuntu1 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: 48c78949cb0f3825ec68dfb8627752c1ad75e7c4

New changelog entries:
  * Merge from debian testing. Remaining changes:
    + debian/patches/VERSION.patch:
      - set SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/smb.conf:
      - Add "(Samba, Ubuntu)" to server string.
      - Comment out the default [homes] share, and add a comment about "valid users = %s"
        to show users how to restrict access to \\server\username to only username.
      - Set 'usershare allow guests', so that usershare admins are allowed to create
        public shares in additon to authenticated ones.
      - add map to guest = Bad user, maps bad username to gues access.
    + debian/samba-common.conf:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    + debian/mksambapasswd.awk:
      - Do not add user with UID less than 1000 to smbpasswd.
    + debian/control:
      - Make libswbclient0 replace/conflict with hardy's likewise-open.
      - Don't build against ctdb, since its not in main yet.
    + debian/rules:
      - Enable "native" PIE hardening.
      - Add BIND_NOW to maximize benefit of RELRO hardening.
    + Add ufw integration:
      - Created debian/samba.ufw.profile.
      - debian/rules, debian/samba.dirs, debian/samba.files: install
    + Add apport hook:
      - Created debian/source_samba.py.
      - debian/rules, debian/samba.dirs, debian/samba-common-bin.files: install
    + debian/control: Recommend keyutils for smbfs (LP: #493565)
    + debian/patches/ubuntu-gecos-fix.patch: Fix gecos parsing backported from Samba 3.5.x (LP: #182572)
    + debian/samba.postinst: Avoid scary pdbedit warnings on first import. (LP: #24741)
    + debian/samba.logrotate: Make it upstart compatible (LP: #529290)
    + debian/samba-common.dhcp: Fix typo to get a proper parsing in /etc/samba/dhcp. (LP: #507374)
    + Dropped:
      debian/patches/debian/patches/security-CVE-2010-0728.patch: Included upstream.

48c7894... by Christian Perrier on 2010-03-09

Import patches-unapplied version 2:3.4.7~dfsg-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 20befe4b84b1377133f5a86993ef78612a230133

New changelog entries:
  [ Steve Langasek ]
  * Add a PAM profile for pam_winbind. Closes: #566890, LP: #282751.
  * Add the correct versioned build dependency on libtalloc-dev as
    we need 2.0.1 to build samba. Closes: #572603
  * Add avr32 to arches with a build dependency on ctdb. Closes: #572126
  [ Christian Perrier ]
  * New upstream release. Security fix: all smbd processes inherited
    CAP_DAC_OVERRIDE capabilities, allowing all file system access to be
    allowed even when permissions should have denied access.

20befe4... by Christian Perrier on 2010-02-26

Import patches-unapplied version 2:3.4.6~dfsg-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0afdd00670a594db9b96a0e309bb752a42d004dc

New changelog entries:
  * New upstream release

0afdd00... by Christian Perrier on 2010-02-13

Import patches-unapplied version 2:3.4.5~dfsg-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 36e64e73d080de952fe4da7d87feb4b749763dce

New changelog entries:
  [ Steve langasek ]
  * Revert the "bashisms" fix from version 2:3.3.0~rc2-4; "local foo=bar"
    is explicitly allowed by Policy now, and this change introduced a
    syntax error. Closes: #566946.
  [ Christian Perrier ]
  * No longer maker (u)mount.cifs setuid root. Add a notice
    about this in the package's NEWS.Debian file
    Closes: #567554
  * Use dh_lintian instead of manual install of lintian overrides
  * Updated Standards to 3.8.4 (checked, no change)

36e64e7... by Christian Perrier on 2010-01-23

Import patches-unapplied version 2:3.4.5~dfsg-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f3d7e58e9479c5ca67ece666cb76e1e51b2dc475

New changelog entries:
  * New upstream release. Bugs fixed by this release:
    - Memory leak in smbd. Closes: #538819, #558453
  * Declare a versioned dependency of winbind and samba on libwbclient0
    Closes: #550481
  * A few lintian fixes:
  * Drop /var/run/samba from samba-common. The directory is created
    by init scripts when needed.
  * No longer prepend a path to the mksmbpasswd call in samba.postinst.
    This prevents the local administrator to use a replacement version
    for some local reason.

f3d7e58... by Christian Perrier on 2010-01-14

Import patches-unapplied version 2:3.4.4~dfsg-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7dd512b8cf275b7b9c76e6a5e006f82b9a39e165

New changelog entries:
  * New upstream version.
  * Drop all RFC files from upstream source, therefore using a "~dfsg"
    suffix to upstream version number.
  * Bugs fixed upstream:
    - fixed list of workgroup servers in libsmbclient.
      Closes: #555462, #561148
    - fixed documentation of the credentials file format in
      mount.cifs(8). Closes: #552250

7dd512b... by Christian Perrier on 2009-12-17

Import patches-unapplied version 2:3.4.3-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 64d2d95bb915a03c8b6389004b9f947706f1af71

New changelog entries:
  [ Christian Perrier ]
  * Switch to source format 3.0 (quilt)
  * Better adapt "add machine script" example to adduser
    Thanks to Heiko Schlittermann for the suggestion
    Closes: #555466
  [ Steve Langasek ]
  * The "I hate non-declarative alternatives" upload:
    - debian/samba{,-common}.prerm: don't call update-alternatives --remove
      on upgrade, /do/ call it on other invocations of the prerm script. If
      these tools ever go away, the removal needs to be handled on upgrade by
      the maintainer scripts of the new package version.
    - debian/samba{,-common-bin}.postinst: call update-alternatives
      unconditionally, don't second-guess the maintainer script arguments.
    - debian/samba.postinst: call update-alternatives after the debconf
      handling, not before; debconf triggers a re-exec of the script so
      anything done before invoking debconf is wasted because it will be
      re-done, and if there's already a debconf frontend running when this
      is called, the not-redirected update-alternatives output will confuse
      it. Closes: #558116.
    - debian/samba-common.prerm: move to samba-common-bin, this is the package
      that owns these binaries.

64d2d95... by Christian Perrier on 2009-10-31

Import patches-unapplied version 2:3.4.3-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: afd089a7b9e365cb421c0b51edd84e0668eb1e77

New changelog entries:
  * New upstream release. This fixes the following bugs:
    - Do not attempt to update /etc/mtab if it is
      a symbolic link. Closes: #408394
  * Bump Standards-Version to 3.8.3 (checked)